datacache <- new.env(hash=TRUE, parent=emptyenv())

htrat230pmrnentrezg <- function() showQCData("htrat230pmrnentrezg", datacache)
htrat230pmrnentrezg_dbconn <- function() dbconn(datacache)
htrat230pmrnentrezg_dbfile <- function() dbfile(datacache)
htrat230pmrnentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
htrat230pmrnentrezg_dbInfo <- function() dbInfo(datacache)

htrat230pmrnentrezgORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "htrat230pmrnentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "htrat230pmrnentrezg", "chip htrat230pmrnentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("htrat230pmrnentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(htrat230pmrnentrezg_dbconn())
}

